#!/bin/ksh
# Verification du mirroring SUN
# Controle des volumes et des Subdisk
# Les plexes sont actuellement controls dans un autre script

verif_args () 
{
  echo "Verification du DG $1"
  [ "$1" == "" ] && {
    echo "Usage: verif_vol DG_NAME"
    exit 1
  }
  vxdg list | grep $1 || {
    echo "Volume $1 n'existe pas"
    exit 1
  }
}

verif_args $*

vxprint -g $1 -ht | nawk '
  # Verification des volumes
  /^v/ {
    print $2 " " $4 " " $5
    print "##########################"
    print " Volume "$2
    print "##########################"
    if (( $4 != "ENABLED" ) || ($5 != "ACTIVE")) {
      print " !!!!!!!!!! Probleme sur volume " $2 " !!!!!!!!!!!"
      exit 1
    } 
    VOLNAME=$2
    VOLLIST[$2]=$2
  } 
'

# Verification des plexes

vxprint -g $1 -ht |grep "^pl" | awk  ' {
  if ((NR % 2) == 1) {
    PL_CBV=$2
    print    "  "$4 " " $5
    if (( $4 != "ENABLED") || ($5 != "ACTIVE")) {
      print " !!!!!! Erreur sur plex " $2
      exit 1
    }
  }
  if ((NR % 2) == 0) {
    #print  "NR:" NR " " NR % 2 " " $2
    print    "  "$4 " " $5

    if (( $4 != "ENABLED") || ($5 != "ACTIVE")) {
      print " !!!!!! Erreur sur plex " $2
      exit 1
    }

    if ($2 == PL_CBV "-NEW") {
      print "   " PL_CBV "  " $2 "--->> Mirror plex PL_CBV OK"
    }

    else {
      print " !!!!!!!!!!!!!!!! Mirror plex "PL_CBV" HS !!!!!!!!!!!!!!!!!!"
      exit 1
    }
  }
}' 
